<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Activity Code</title>
    <link rel="stylesheet" href="./style.css">


    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;1,100&display=swap" rel="stylesheet">
</head>
<body>

    <nav class="navbar" id="navbar">
        <ul class="navbar-nav">
          <li class="">
            <a class="" href="#landingPage">Home</a>
          </li>
          <li class="">
            <a class="" href="#about-us">About Us</a>
          </li>
          <li class="">
            <a class="" href="#gallery">Gallery</a>
          </li>
          <li class="">
            <a class="nav-link" href="#contact-us">Contact Us</a>
          </li>
        </ul>
      </nav>
    
    <div class="tetra" id="landingPage">
        <h1>Online Portfolio</h1>
        <h3>Fullstack Developer</h3>
        <h2>Joseph Vinzon Soliva</h2>
        <img src=".\images\d.jpg" style="width: 116px; height: 116px" class="profile-img">
        <p>Thank you for visiting.</p>
    </div>

    <div class="landing-page" id="about-us">
      <div class="landing-page-content">
        <div class="about-us-image">
          <img src=".\images\d.jpg" style="width: 218px; height: 218px;">
        </div>
        <div class="abous-us-text">
            <h2 id="highlightText">Joseph Vinzon Soliva</h2>
            <p>I am a grade 12 ICT student at Escuela de Sophia of Caloocan, Inc. My life aim is to be a capable person but I will do everything in my ability to achieve my dreams and to be a better and successful person.</p>
        </div>
      </div>
    </div>
    
     

     
    <script>
        const nav = document.querySelector('#navbar');

            if (window.scrollY >= 10) {
                nav.classList.add('scrolled')
            }

            window.onscroll = () => {
            if (this.scrollY <= 10) {
                nav.classList.remove('scrolled')
            } else {
                nav.classList.add('scrolled')
            }
        };

        const sections = document.querySelectorAll("div");
        const navLinks = document.querySelectorAll(".navbar ul li a");

        function highlightNavLink() {
          const scrollPos = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
          for (let i = 0; i < sections.length; i++) {
            const section = sections[i];
            const sectionTop = section.getBoundingClientRect().top + window.innerHeight * 0.01;
            const navLink = navLinks[i];
            if (sectionTop <= scrollPos && sectionTop + section.offsetHeight > scrollPos) {
              navLink.classList.add("navbar-active");
            } else {
              navLink.classList.remove("navbar-active");
            }
          }
        }

        window.addEventListener("scroll", highlightNavLink);
        const h2Elements = document.querySelectorAll("div h2");
        
        function highlightH2() {
        const scrollPos = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
        for (let i = 0; i < sections.length; i++) {
          const section = sections[i];
          const sectionTop = section.getBoundingClientRect().top + window.innerHeight * 0.01;
          const h2 = h2Elements[i];
          if (sectionTop <= scrollPos && sectionTop + section.offsetHeight > scrollPos) {
            h2.classList.add("h2-active");
          } else {
            h2.classList.remove("h2-active");
          }
        }
      }

      window.addEventListener("scroll", highlightH2);

          
            
    </script> 
</body>
</html>
